%define upstream_name    Encode-HanConvert
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Traditional and Simplified Chinese mappings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-Module-Install

%description
This module is an attempt to solve most common problems occured in
Traditional vs. Simplified Chinese conversion, in an efficient, flexible
way, without resorting to external tools or modules.

If you are using perl 5.7.2 or earlier, all Unicode-related functions are
disabled, and *Encode::HanConvert::Perl* is automagically loaded and used
instead. In that case, please consult the Encode::HanConvert::Perl manpage
instead.

After installing this module, you'll have two additional encoding formats:
'big5-simp' maps _Big5_ into Unicode's Simplified Chinese (and vice versa),
and 'gbk-trad' maps _GBK_ (also known as _CP936_) into Unicode's
Traditional Chinese and back.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
chmod 755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Encode/HanConvert/HanConvert.so
%files
%doc AUTHORS Changes META.yml README SIGNATURE
%{_bindir}/b2g.pl
%{_bindir}/g2b.pl
%{_mandir}/man1/*
%perl_vendorarch/*
%exclude %dir %{perl_vendorarch}/auto/



%changelog
* Sat Apr 06 2019 tex 0.35.0-1pclos2019
- new
